package com.iwunu.nbiot.common.util;

/**
 * @author kinfeng
 * @date 2021-04-18 15:01
 * @desc
 */

public enum WebEventEnum {
	SYNCCARNO("syncCardNo","cardNo"),
	SYNCDELETECARNO("syncDeleteCardNo","deleteCardNo"),
	SYNCPASSWORD("syncPassword","password"),
	SYNCDELETEPASSWORD("syncDeletePassword","deletePassword"),
    ;
    private String code ;
    private String desc ;

    WebEventEnum(String code, String desc){
        this.code=code;
        this.desc=desc;
    }
    public static String getType(String type) {  
        for (WebEventEnum c : WebEventEnum.values()) {  
            if (c.desc == type) {  
                return c.code;  
            }  
        }  
        return null;  
    }
    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
